![BepInEx logo](https://avatars2.githubusercontent.com/u/39589027?s=256)

# BepInExPack for Core Keeper

This is [BepInEx 6.0.0 Bleeding Edge Build](https://github.com/BepInEx/BepInEx) pack for Core Keeper.

BepInEx is a general purpose framework for Unity modding.
BepInEx includes tools and libraries to

* load custom code (hereafter *plugins*) into the game on launch;
* patch in-game methods, classes and even entire assemblies without touching original game files;
* configure plugins and log game to desired outputs like console or file;
* manage plugin dependencies.

BepInEx is currently [one of the most popular modding tools for Unity on GitHub](https://github.com/topics/modding?o=desc&s=stars).

## THESE ARE BLEEDING EDGE BUILDS

Bleeding edge builds of BepInEx are not considered stable and may include bugs.
Please report any issues to [BepInEx GitHub by creating issue tickets](https://github.com/BepInEx/BepInEx).

## This pack's contents

This pack is preconfigured and usable for Core Keeper modding.  
In particular, the changes from base BepInEx releases are:

* Added preconfigured `BepInEx.cfg` with console enabled.

## Installation (manual)

If you are installing this manually, do the following

1. Extract the archive into a folder. **Do not extract into the game folder.**
2. Move the contents of `BepInExPack_Core-Keeper` folder into `<Steam Location>\steamapps\common\Core Keeper`.
3. Run the game

If done correctly, you should see a BepInEx console appearing when the game launches.

## Issues, questions, etc.

At this moment, you can use the following channels to ask for help
* [Core Keeper Modding Discord](https://discord.gg/vpZEP7fZ5T)
* [BepInEx Discord](https://discord.gg/MpFEDAg) -- **Only technical support for THIS PACKAGE. No support for plugins.**

## Changelog

#### 2.0.3 (based on BepInEx 6.0.0-be.665-il2cpp-win-x64 plus custom Il2CppInterop)

#### 2.0.2 (based on BepInEx 6.0.0-be.664-il2cpp-win-x64 plus custom Il2CppInterop)

#### 2.0.1 (based on BepInEx 6.0.0-be.656-il2cpp-win-x64)

* Adds .doorstop_version file to fix r2modman

#### 2.0.0 (based on BepInEx 6.0.0-be.656-il2cpp-win-x64)

#### 1.0.0 (based on BepInEx 6.0.0-be.553)

* Initial release
